The Joomla! Community Portal ™

Wed

16

Jun

2010

Mooing Forward With Joomla! 1.5
Written by Ian MacLennan   
Wednesday, 16 June 2010 01:44

Since the release of Mootools 1.2, we have found ourselves facing a rather difficult question - what do you do with the 1.5 core?  Unfortunately, the changes that came in Mootools 1.2 were significant enough that backwards compatibility with Mootools 1.1 was a difficult task.  I like to compare it to the difference between Joomla! 1.0 and Joomla! 1.5.  We did a lot of house cleaning and made our framework much smoother and much cleaner.

Such is the case for Mootools 1.1 and Mootools 1.2.  The new Mootools represents a significant step forward.

As a result, Joomla! developers have found themselves in a difficult position. Do you use the outdated version of Mootools, thereby reducing compatibility issues and making life easier for users, or do you use the new version and attempt one of a variety methods of overriding the core framework.

We hope to change all of that in the near future.

As has been previously mentioned, it is our plan to give Joomla! 1.5 an upgrade to Mootools 1.2.  This will allow developers to take advantage of the improvements that this new version offers and to write code that will endure into the future.

We have set a target release date of July 15, 2010 for Joomla! 1.5 with Mootools 1.2.

The Gory Details

I previously released an upgrade plugin for people to test out which replaced the core JHtmlBehavior class. This plugin implemented the JHtmlBehavior::framework method that has been added in trunk. The Mootools upgrade that will be included with Joomla! 1.5 will follow along in this direction.

After the 1.5 update is uploaded, the plugin will be installed the first time an administrator logs into the administrator panel.  They will also be presented with a message asking them if they would like to enable the plugin. Once the plugin is enabled the site will then be using Mootools 1.2.

When the plugin is enabled whenever the framework Mootools library is loaded Mootools 1.2 will be loaded with the compatibility layer.

The hope is that even with the upgrade activated, there will be no negative impact on sites. However, in the event that the upgrade does cause problems, it will be easy for administrators to disable the plugin and restore their site to the previous state.

We're excited about this development and are grateful to the folks at Mootools who have worked with us to provide a compatibility layer that could make this possible.

The code is a work in progress. If you would like to check it out you are free to check it out from http://joomlacode.org/svn/joomla/development/branches/mt12.